Subject: Comments on posted CSC VPN MIB (draft-li-network-mpls-l3vpn-csc-vpn-mib-01)

From: Thomas Nadeau <[email-masked]>
Date: Fri, 29 Oct 2010 16:33:40 -0400

I am unsure as to why this draft is needed as a combination of RFC3813 and RFC4382 seems to cover what is needed here. It seems that the purpose for this draft is to create a table that is for the specific cases where you have label-to-label mappings and they exist for for CSC routes within a VRF context. I believe you can already achieve this using a combination of RFC3813, RFC4382 and/or using a context-aware implementation of RFC3813?

  I suspect there may be a simple, fundamental misunderstanding of how to do per-context (ie. per-VPN) implementations using this MIB (or say the other MPLS MIBs). There already exist implementations such as CISCO-CONTEXT-MAPPING-MB (now published as http://tools.ietf.org/html/draft-kkoushik-snmp-context-map-mib) as well as descriptions for how to use the SNMP V3 VACM table for doing this. There is no need (or desire) to build in specific per-context indexing information into MIB tables because as soon as another method comes out, that indexing scheme likely is obsolete and will need to be revisited (something not easy in SNMP). In fact, when we did the original series of MIBs (RFC3811-14) and then did RFC4382 the WG decided to explicitly NOT make MIBs context aware for the simple reason that it was not scalable in terms of having to modify every table in every MIB for every per-context indexing scheme just to get that set working properly for MPLS.

	--Tom